'use strict';

exports.__esModule = true;
exports.default = instantChangedOnly;

var _onChange = require('./onChange');

var _onChange2 = _interopRequireDefault(_onChange);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function instantChangedOnly(context, field, data) {
  if (context.changedFields.includes(data.fieldId)) {
    for (var _len = arguments.length, otherArgs = Array(_len > 3 ? _len - 3 : 0), _key = 3; _key < _len; _key++) {
      otherArgs[_key - 3] = arguments[_key];
    }

    return _onChange2.default.apply(undefined, [context, field, data].concat(otherArgs));
  }

  return {};
}